# KHRRobustness (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class KHRRobustness

    java.lang.Object
      org.lwjgl.opengl.KHRRobustness

    public final class KHRRobustness

extends java.lang.Object

Field Summary
`static int` `GL_CONTEXT_LOST` Returned by GetError:
`static int` `GL_CONTEXT_ROBUST_ACCESS` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_GUILTY_CONTEXT_RESET` Returned by GetGraphicsResetStatus:
`static int` `GL_INNOCENT_CONTEXT_RESET` Returned by GetGraphicsResetStatus:
`static int` `GL_LOSE_CONTEXT_ON_RESET` Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY:
`static int` `GL_NO_RESET_NOTIFICATION` Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY:
`static int` `GL_RESET_NOTIFICATION_STRATEGY` Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_UNKNOWN_CONTEXT_RESET` Returned by GetGraphicsResetStatus:

Method Summary
`static int` `glGetGraphicsResetStatus()`
`static void` `glGetnUniform(int program, int location, java.nio.FloatBuffer params)`
`static void` `glGetnUniform(int program, int location, java.nio.IntBuffer params)`
`static void` `glGetnUniformu(int program, int location, java.nio.IntBuffer params)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, java.nio.ByteBuffer pixels)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, java.nio.DoubleBuffer pixels)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, java.nio.FloatBuffer pixels)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, java.nio.IntBuffer pixels)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, int pixels_bufSize, long pixels_buffer_offset)`
`static void` `glReadnPixels(int x, int y, int width, int height, int format, int type, java.nio.ShortBuffer pixels)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GUILTY_CONTEXT_RESET

    public static final int GL_GUILTY_CONTEXT_RESET

  Returned by GetGraphicsResetStatus:

  See Also:
    Constant Field Values

### GL_INNOCENT_CONTEXT_RESET

    public static final int GL_INNOCENT_CONTEXT_RESET

  Returned by GetGraphicsResetStatus:

  See Also:
    Constant Field Values

### GL_UNKNOWN_CONTEXT_RESET

    public static final int GL_UNKNOWN_CONTEXT_RESET

  Returned by GetGraphicsResetStatus:

  See Also:
    Constant Field Values

### GL_CONTEXT_ROBUST_ACCESS

    public static final int GL_CONTEXT_ROBUST_ACCESS

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_RESET_NOTIFICATION_STRATEGY

    public static final int GL_RESET_NOTIFICATION_STRATEGY

  Accepted by the <value> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_LOSE_CONTEXT_ON_RESET

    public static final int GL_LOSE_CONTEXT_ON_RESET

  Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY:

  See Also:
    Constant Field Values

### GL_NO_RESET_NOTIFICATION

    public static final int GL_NO_RESET_NOTIFICATION

  Returned by GetIntegerv and related simple queries when <value> is RESET_NOTIFICATION_STRATEGY:

  See Also:
    Constant Field Values

### GL_CONTEXT_LOST

    public static final int GL_CONTEXT_LOST

  Returned by GetError:

  See Also:
    Constant Field Values

Method Detail

### glGetGraphicsResetStatus

    public static int glGetGraphicsResetStatus()

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     java.nio.ByteBuffer pixels)

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     java.nio.DoubleBuffer pixels)

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     java.nio.FloatBuffer pixels)

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     java.nio.IntBuffer pixels)

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     java.nio.ShortBuffer pixels)

### glReadnPixels

    public static void glReadnPixels(int x,
                                     int y,
                                     int width,
                                     int height,
                                     int format,
                                     int type,
                                     int pixels_bufSize,
                                     long pixels_buffer_offset)

### glGetnUniform

    public static void glGetnUniform(int program,
                                     int location,
                                     java.nio.FloatBuffer params)

### glGetnUniform

    public static void glGetnUniform(int program,
                                     int location,
                                     java.nio.IntBuffer params)

### glGetnUniformu

    public static void glGetnUniformu(int program,
                                      int location,
                                      java.nio.IntBuffer params)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.